Index: pjproject/trunk/pjlib/build/pjlib++-test.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib++-test.vcproj	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib++-test.vcproj	(revision 138)
@@ -13,6 +13,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc7-debug"
-			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc7-debug"
+			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc6-debug"
+			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc6-debug"
 			ConfigurationType="1"
 			UseOfMFC="0"
@@ -27,8 +27,8 @@
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test.pch"
-				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc7-debug/"
-				ObjectFile=".\./output/pjlib++-test-i386-win32-vc7-debug/"
-				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc7-debug/"
+				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc6-debug/pjlib++-test.pch"
+				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc6-debug/"
+				ObjectFile=".\./output/pjlib++-test-i386-win32-vc6-debug/"
+				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc6-debug/"
 				BrowseInformation="1"
 				WarningLevel="3"
@@ -41,14 +41,14 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
-				OutputFile="../bin/pjlib++-test-i386-win32-vc7-debug.exe"
+				OutputFile="../bin/pjlib++-test-i386-win32-vc6-debug.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
 				GenerateDebugInformation="TRUE"
-				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test-i386-win32-vc7-debug.pdb"
+				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc6-debug/pjlib++-test-i386-win32-vc6-debug.pdb"
 				SubSystem="1"
 				TargetMachine="1"/>
 			<Tool
 				Name="VCMIDLTool"
-				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test.tlb"
+				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc6-debug/pjlib++-test.tlb"
 				HeaderFileName=""/>
 			<Tool
@@ -75,6 +75,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc7-release"
-			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc7-release"
+			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc6-release"
+			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc6-release"
 			ConfigurationType="1"
 			UseOfMFC="0"
@@ -91,8 +91,8 @@
 				EnableFunctionLevelLinking="TRUE"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test.pch"
-				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc7-release/"
-				ObjectFile=".\./output/pjlib++-test-i386-win32-vc7-release/"
-				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc7-release/"
+				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc6-release/pjlib++-test.pch"
+				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc6-release/"
+				ObjectFile=".\./output/pjlib++-test-i386-win32-vc6-release/"
+				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc6-release/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -103,13 +103,13 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
-				OutputFile="../bin/pjlib++-test-i386-win32-vc7-release.exe"
+				OutputFile="../bin/pjlib++-test-i386-win32-vc6-release.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
-				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test-i386-win32-vc7-release.pdb"
+				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc6-release/pjlib++-test-i386-win32-vc6-release.pdb"
 				SubSystem="1"
 				TargetMachine="1"/>
 			<Tool
 				Name="VCMIDLTool"
-				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test.tlb"
+				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc6-release/pjlib++-test.tlb"
 				HeaderFileName=""/>
 			<Tool
Index: pjproject/trunk/pjlib/build/pjlib++.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib++.vcproj	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib++.vcproj	(revision 138)
@@ -4,6 +4,8 @@
 	Version="7.10"
 	Name="pjlib++"
-	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
-	SccLocalPath=".">
+	SccProjectName=""
+	SccAuxPath=""
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -13,6 +15,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlib++-i386-win32-vc7-release"
-			IntermediateDirectory=".\output\pjlib++-i386-win32-vc7-release"
+			OutputDirectory=".\output\pjlib++-i386-win32-vc6-release"
+			IntermediateDirectory=".\output\pjlib++-i386-win32-vc6-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -28,8 +30,8 @@
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc7-release/pjlib++.pch"
-				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc7-release/"
-				ObjectFile=".\output\pjlib++-i386-win32-vc7-release/"
-				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc7-release/"
+				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc6-release/pjlib++.pch"
+				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc6-release/"
+				ObjectFile=".\output\pjlib++-i386-win32-vc6-release/"
+				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc6-release/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -39,5 +41,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlib++-i386-win32-vc7-release.lib"
+				OutputFile="../lib/pjlib++-i386-win32-vc6-release.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -64,6 +66,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlib++-i386-win32-vc7-debug"
-			IntermediateDirectory=".\output\pjlib++-i386-win32-vc7-debug"
+			OutputDirectory=".\output\pjlib++-i386-win32-vc6-debug"
+			IntermediateDirectory=".\output\pjlib++-i386-win32-vc6-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -77,8 +79,8 @@
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc7-debug/pjlib++.pch"
-				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc7-debug/"
-				ObjectFile=".\output\pjlib++-i386-win32-vc7-debug/"
-				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc7-debug/"
+				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc6-debug/pjlib++.pch"
+				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc6-debug/"
+				ObjectFile=".\output\pjlib++-i386-win32-vc6-debug/"
+				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc6-debug/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -89,5 +91,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlib++-i386-win32-vc7-debug.lib"
+				OutputFile="../lib/pjlib++-i386-win32-vc6-debug.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
Index: pjproject/trunk/pjlib/build/pjlib.sln
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.sln	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib.sln	(revision 138)
@@ -1,46 +1,28 @@
 Microsoft Visual Studio Solution File, Format Version 8.00
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib", "pjlib.vcproj", "{4A6465DC-D757-43F2-9180-60920E33522B}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib", "pjlib.vcproj", "{02D95A67-9434-4EBC-9A55-0F5DF912B61D}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++", "pjlib++.vcproj", "{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++", "pjlib++.vcproj", "{D80CE629-FF34-448B-BF5C-99C89AEE2360}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++_test", "pjlib++-test.vcproj", "{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++_test", "pjlib++-test.vcproj", "{4EB736BB-61BF-4D18-9BBE-1A9ED3E5A115}"
 	ProjectSection(ProjectDependencies) = postProject
-		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+		{D80CE629-FF34-448B-BF5C-99C89AEE2360} = {D80CE629-FF34-448B-BF5C-99C89AEE2360}
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D} = {02D95A67-9434-4EBC-9A55-0F5DF912B61D}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_samples", "pjlib_samples.vcproj", "{C1B9C84B-CE30-45D7-A322-986786CE29D5}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_samples", "pjlib_samples.vcproj", "{6D35E3D7-D511-45D5-8D18-1085F45981EB}"
 	ProjectSection(ProjectDependencies) = postProject
-		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D} = {02D95A67-9434-4EBC-9A55-0F5DF912B61D}
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_test", "pjlib_test.vcproj", "{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_test", "pjlib_test.vcproj", "{A078B8BF-BE0B-43D6-8D2B-57B965C7FA09}"
 	ProjectSection(ProjectDependencies) = postProject
-		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D} = {02D95A67-9434-4EBC-9A55-0F5DF912B61D}
 	EndProjectSection
 EndProject
 Global
-	GlobalSection(SourceCodeControl) = preSolution
-		SccNumberOfProjects = 4
-		SccProjectUniqueName0 = pjlib.vcproj
-		SccProjectName0 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
-		SccLocalPath0 = .
-		SccProvider0 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
-		SccProjectUniqueName1 = pjlib++.vcproj
-		SccProjectName1 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
-		SccLocalPath1 = .
-		SccProvider1 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
-		SccProjectUniqueName2 = pjlib_samples.vcproj
-		SccProjectName2 = \u0022$/pjproject-0.3/pjlib/build\u0022,\u0020EJDAAAAA
-		SccLocalPath2 = .
-		SccProvider2 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
-		SccProjectUniqueName3 = pjlib_test.vcproj
-		SccProjectName3 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
-		SccLocalPath3 = .
-		SccProvider3 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
-	EndGlobalSection
 	GlobalSection(SolutionConfiguration) = preSolution
 		Debug = Debug
@@ -48,24 +30,24 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfiguration) = postSolution
-		{4A6465DC-D757-43F2-9180-60920E33522B}.Debug.ActiveCfg = Debug|Win32
-		{4A6465DC-D757-43F2-9180-60920E33522B}.Debug.Build.0 = Debug|Win32
-		{4A6465DC-D757-43F2-9180-60920E33522B}.Release.ActiveCfg = Release|Win32
-		{4A6465DC-D757-43F2-9180-60920E33522B}.Release.Build.0 = Release|Win32
-		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Debug.ActiveCfg = Debug|Win32
-		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Debug.Build.0 = Debug|Win32
-		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Release.ActiveCfg = Release|Win32
-		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Release.Build.0 = Release|Win32
-		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Debug.ActiveCfg = Debug|Win32
-		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Debug.Build.0 = Debug|Win32
-		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Release.ActiveCfg = Release|Win32
-		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Release.Build.0 = Release|Win32
-		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Debug.ActiveCfg = Debug|Win32
-		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Debug.Build.0 = Debug|Win32
-		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Release.ActiveCfg = Release|Win32
-		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Release.Build.0 = Release|Win32
-		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Debug.ActiveCfg = Debug|Win32
-		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Debug.Build.0 = Debug|Win32
-		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Release.ActiveCfg = Release|Win32
-		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Release.Build.0 = Release|Win32
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D}.Debug.ActiveCfg = Debug|Win32
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D}.Debug.Build.0 = Debug|Win32
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D}.Release.ActiveCfg = Release|Win32
+		{02D95A67-9434-4EBC-9A55-0F5DF912B61D}.Release.Build.0 = Release|Win32
+		{D80CE629-FF34-448B-BF5C-99C89AEE2360}.Debug.ActiveCfg = Debug|Win32
+		{D80CE629-FF34-448B-BF5C-99C89AEE2360}.Debug.Build.0 = Debug|Win32
+		{D80CE629-FF34-448B-BF5C-99C89AEE2360}.Release.ActiveCfg = Release|Win32
+		{D80CE629-FF34-448B-BF5C-99C89AEE2360}.Release.Build.0 = Release|Win32
+		{4EB736BB-61BF-4D18-9BBE-1A9ED3E5A115}.Debug.ActiveCfg = Debug|Win32
+		{4EB736BB-61BF-4D18-9BBE-1A9ED3E5A115}.Debug.Build.0 = Debug|Win32
+		{4EB736BB-61BF-4D18-9BBE-1A9ED3E5A115}.Release.ActiveCfg = Release|Win32
+		{4EB736BB-61BF-4D18-9BBE-1A9ED3E5A115}.Release.Build.0 = Release|Win32
+		{6D35E3D7-D511-45D5-8D18-1085F45981EB}.Debug.ActiveCfg = Debug|Win32
+		{6D35E3D7-D511-45D5-8D18-1085F45981EB}.Debug.Build.0 = Debug|Win32
+		{6D35E3D7-D511-45D5-8D18-1085F45981EB}.Release.ActiveCfg = Release|Win32
+		{6D35E3D7-D511-45D5-8D18-1085F45981EB}.Release.Build.0 = Release|Win32
+		{A078B8BF-BE0B-43D6-8D2B-57B965C7FA09}.Debug.ActiveCfg = Debug|Win32
+		{A078B8BF-BE0B-43D6-8D2B-57B965C7FA09}.Debug.Build.0 = Debug|Win32
+		{A078B8BF-BE0B-43D6-8D2B-57B965C7FA09}.Release.ActiveCfg = Release|Win32
+		{A078B8BF-BE0B-43D6-8D2B-57B965C7FA09}.Release.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
Index: pjproject/trunk/pjlib/build/pjlib.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 138)
@@ -4,8 +4,8 @@
 	Version="7.10"
 	Name="pjlib"
-	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -15,6 +15,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlib-i386-win32-vc7-debug"
-			IntermediateDirectory=".\output\pjlib-i386-win32-vc7-debug"
+			OutputDirectory=".\output\pjlib-i386-win32-vc6-debug"
+			IntermediateDirectory=".\output\pjlib-i386-win32-vc6-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -28,8 +28,8 @@
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc7-debug/pjlib.pch"
-				AssemblerListingLocation=".\output\pjlib-i386-win32-vc7-debug/"
-				ObjectFile=".\output\pjlib-i386-win32-vc7-debug/"
-				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc7-debug/"
+				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc6-debug/pjlib.pch"
+				AssemblerListingLocation=".\output\pjlib-i386-win32-vc6-debug/"
+				ObjectFile=".\output\pjlib-i386-win32-vc6-debug/"
+				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc6-debug/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -41,5 +41,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlib-i386-win32-vc7-debug.lib"
+				OutputFile="../lib/pjlib-i386-win32-vc6-debug.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -66,6 +66,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory="\.output\pjlib-i386-win32-vc7-release"
-			IntermediateDirectory=".\output\pjlib-i386-win32-vc7-release"
+			OutputDirectory="\.output\pjlib-i386-win32-vc6-release"
+			IntermediateDirectory=".\output\pjlib-i386-win32-vc6-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -81,8 +81,8 @@
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc7-release/pjlib.pch"
-				AssemblerListingLocation=".\output\pjlib-i386-win32-vc7-release/"
-				ObjectFile=".\output\pjlib-i386-win32-vc7-release/"
-				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc7-release/"
+				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc6-release/pjlib.pch"
+				AssemblerListingLocation=".\output\pjlib-i386-win32-vc6-release/"
+				ObjectFile=".\output\pjlib-i386-win32-vc6-release/"
+				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc6-release/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -94,5 +94,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlib-i386-win32-vc7-release.lib"
+				OutputFile="../lib/pjlib-i386-win32-vc6-release.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -949,4 +949,23 @@
 			<File
 				RelativePath="..\src\pj\unicode_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<Filter
Index: pjproject/trunk/pjlib/build/pjlib_samples.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib_samples.vcproj	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib_samples.vcproj	(revision 138)
@@ -4,8 +4,8 @@
 	Version="7.10"
 	Name="pjlib_samples"
-	SccProjectName="&quot;$/pjproject-0.3/pjlib/build&quot;, EJDAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe"
+	SccLocalPath=""
+	SccProvider=""
 	Keyword="MakeFileProj">
 	<Platforms>
@@ -16,6 +16,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\./output/pjlib-samples-i386-win32-vc7-debug"
-			IntermediateDirectory=".\./output/pjlib-samples-i386-win32-vc7-debug"
+			OutputDirectory=".\./output/pjlib-samples-i386-win32-vc6-debug"
+			IntermediateDirectory=".\./output/pjlib-samples-i386-win32-vc6-debug"
 			ConfigurationType="0"
 			UseOfMFC="0"
@@ -23,12 +23,12 @@
 			<Tool
 				Name="VCNMakeTool"
-				BuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug VC=vc7"
-				ReBuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug VC=vc7 /a"
+				BuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug"
+				ReBuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug /a"
 				Output="pjlib samples"/>
 		</Configuration>
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\./output/pjlib-samples-i386-win32-vc7-release"
-			IntermediateDirectory=".\./output/pjlib-samples-i386-win32-vc7-release"
+			OutputDirectory=".\./output/pjlib-samples-i386-win32-vc6-release"
+			IntermediateDirectory=".\./output/pjlib-samples-i386-win32-vc6-release"
 			ConfigurationType="0"
 			UseOfMFC="0"
@@ -36,6 +36,6 @@
 			<Tool
 				Name="VCNMakeTool"
-				BuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release VC=vc7"
-				ReBuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release VC=vc7 /a"
+				BuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release"
+				ReBuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release /a"
 				Output="pjlib samples"/>
 		</Configuration>
Index: pjproject/trunk/pjlib/build/pjlib_test.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 137)
+++ pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 138)
@@ -4,8 +4,8 @@
 	Version="7.10"
 	Name="pjlib_test"
-	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -15,6 +15,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlib-test-i386-win32-vc7-debug"
-			IntermediateDirectory=".\output\pjlib-test-i386-win32-vc7-debug"
+			OutputDirectory=".\output\pjlib-test-i386-win32-vc6-debug"
+			IntermediateDirectory=".\output\pjlib-test-i386-win32-vc6-debug"
 			ConfigurationType="1"
 			UseOfMFC="0"
@@ -29,8 +29,8 @@
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlib-test-i386-win32-vc7-debug/pjlib_test.pch"
-				AssemblerListingLocation=".\output\pjlib-test-i386-win32-vc7-debug/"
-				ObjectFile=".\output\pjlib-test-i386-win32-vc7-debug/"
-				ProgramDataBaseFileName=".\output\pjlib-test-i386-win32-vc7-debug/"
+				PrecompiledHeaderFile=".\output\pjlib-test-i386-win32-vc6-debug/pjlib_test.pch"
+				AssemblerListingLocation=".\output\pjlib-test-i386-win32-vc6-debug/"
+				ObjectFile=".\output\pjlib-test-i386-win32-vc6-debug/"
+				ProgramDataBaseFileName=".\output\pjlib-test-i386-win32-vc6-debug/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -43,14 +43,14 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
-				OutputFile="../bin/pjlib-test-i386-win32-vc7-debug.exe"
+				OutputFile="../bin/pjlib-test-i386-win32-vc6-debug.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
 				GenerateDebugInformation="TRUE"
-				ProgramDatabaseFile=".\output\pjlib-test-i386-win32-vc7-debug/pjlib-test-i386-win32-vc7-debug.pdb"
+				ProgramDatabaseFile=".\output\pjlib-test-i386-win32-vc6-debug/pjlib-test-i386-win32-vc6-debug.pdb"
 				SubSystem="1"
 				TargetMachine="1"/>
 			<Tool
 				Name="VCMIDLTool"
-				TypeLibraryName=".\output\pjlib-test-i386-win32-vc7-debug/pjlib_test.tlb"
+				TypeLibraryName=".\output\pjlib-test-i386-win32-vc6-debug/pjlib_test.tlb"
 				HeaderFileName=""/>
 			<Tool
@@ -77,6 +77,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlib-test-i386-win32-vc7-release"
-			IntermediateDirectory=".\output\pjlib-test-i386-win32-vc7-release"
+			OutputDirectory=".\output\pjlib-test-i386-win32-vc6-release"
+			IntermediateDirectory=".\output\pjlib-test-i386-win32-vc6-release"
 			ConfigurationType="1"
 			UseOfMFC="0"
@@ -93,8 +93,8 @@
 				EnableFunctionLevelLinking="TRUE"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlib-test-i386-win32-vc7-release/pjlib_test.pch"
-				AssemblerListingLocation=".\output\pjlib-test-i386-win32-vc7-release/"
-				ObjectFile=".\output\pjlib-test-i386-win32-vc7-release/"
-				ProgramDataBaseFileName=".\output\pjlib-test-i386-win32-vc7-release/"
+				PrecompiledHeaderFile=".\output\pjlib-test-i386-win32-vc6-release/pjlib_test.pch"
+				AssemblerListingLocation=".\output\pjlib-test-i386-win32-vc6-release/"
+				ObjectFile=".\output\pjlib-test-i386-win32-vc6-release/"
+				ProgramDataBaseFileName=".\output\pjlib-test-i386-win32-vc6-release/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -107,5 +107,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
-				OutputFile="../bin/pjlib-test-i386-win32-vc7-release.exe"
+				OutputFile="../bin/pjlib-test-i386-win32-vc6-release.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
@@ -115,5 +115,5 @@
 			<Tool
 				Name="VCMIDLTool"
-				TypeLibraryName=".\output\pjlib-test-i386-win32-vc7-release/pjlib_test.tlb"
+				TypeLibraryName=".\output\pjlib-test-i386-win32-vc6-release/pjlib_test.tlb"
 				HeaderFileName=""/>
 			<Tool
@@ -368,26 +368,4 @@
 				RelativePath="..\src\pjlib-test\main.c">
 				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"
-						BrowseInformation="1"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BrowseInformation="1"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pjlib-test\main_mod.c">
-				<FileConfiguration
 					Name="Debug|Win32"
 					ExcludedFromBuild="TRUE">
@@ -401,6 +379,51 @@
 				</FileConfiguration>
 				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pjlib-test\main_mod.c">
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="TRUE">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
 					Name="Release|Win32"
 					ExcludedFromBuild="TRUE">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pjlib-test\main_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
Index: pjproject/trunk/pjlib/include/pj/errno.h
===================================================================
--- pjproject/trunk/pjlib/include/pj/errno.h	(revision 137)
+++ pjproject/trunk/pjlib/include/pj/errno.h	(revision 138)
@@ -65,4 +65,9 @@
 
 /**
+ * Guidelines on error message length.
+ */
+#define PJ_ERR_MSG_SIZE  64
+
+/**
  * Get the last platform error/status, folded into pj_status_t.
  * @return	OS dependent error code, folded into pj_status_t.
